summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/tests/control2
-rwxr-xr-xtests/tests/alternating-dgit25
2 files changed, 26 insertions, 1 deletions
diff --git a/debian/tests/control b/debian/tests/control
index e348eb5..731600b 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -20,7 +20,7 @@ Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime
Restrictions: x-dgit-intree-only x-dgit-git-only
-Tests: clone-gitnosuite clone-nogit drs-clone-nogit dsd-clone-nogit ftpmasterapi-http
+Tests: alternating-dgit clone-gitnosuite clone-nogit drs-clone-nogit dsd-clone-nogit ftpmasterapi-http
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, libhttp-server-simple-static-perl
diff --git a/tests/tests/alternating-dgit b/tests/tests/alternating-dgit
new file mode 100755
index 0000000..c2ada5c
--- /dev/null
+++ b/tests/tests/alternating-dgit
@@ -0,0 +1,25 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-setup-import examplegit
+t-setup-import http-git-check
+
+cd $p
+
+git checkout -b nondgit
+t-commit 'non-dgit upload'
+t-non-dgit-upload
+
+cd ..
+
+t-dgit clone $p ./$p.2
+cd $p.2
+
+t-commit 'now a dgit upload again'
+
+t-dgit -wgf push-source
+t-refs-same-start
+t-pushed-good dgit/sid
+
+t-ok